tt_session_prop_count(library call)

NAME
tt_session_prop_count — return the number of values stored under a property of a session

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_session_prop_count(
const char *sessid,
const char *propname);

DESCRIPTION

The tt_session_prop_count function returns the number of values stored under the named property of the specified session.

The sessid argument is the name of the session joined. The application can use the sessid value returned when tt_default_session is called. The propname argument is the name of the property to be examined.

RETURN VALUE

Upon successful completion, the tt_session_prop_count function returns the number of values in the specified property list. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).